@mixin f-input_file {
    .f-input_file {
        &-field {
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1; 
        }

        &-control {
            @include g-button; 
        }

        &.m-disabled &-control {
            cursor: default;
        }

        &-label {
            @include f-input_label;
            @include f-input_label($mod: static);
            @include f-input_label(_optional_copy);
        }

        &.m-required &-label {
            @include f-input_label($mod: required);
        }

        &-label_description { // TODO: remove, move to a field level
            @include f-input_label(_label_description);
        }

        &-label_link { // TODO: remove, move to a field level
            @include f-input_label(_label_link);
        }
    }
}

@include f-input_file;
